Announcement Announcement Module
Collapse
No announcement yet.
new to saml Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • new to saml

    I am new to SAML and SSO. I downloaded the source code for the Spring-Secuirty SAML from git hub. I imported the spring-secuirty-saml2-core and spring-security-saml2-sample into Springsource Tool Suite (STS). There were some errors in the build path. I fixed those. I am getting some errors in the liberty-schema-paos-1.1.xsd
    * s4s-elt-invalid-content.1: The content of 'RequestType' is invalid. Element 'attribute' is invalid, misplaced, or occurs too often.
    * src-resolve: Cannot resolve the name 'IDType' to a(n) 'simpleType definition' component.
    * src-resolve.4.2: Error resolving component 'RequestType'. It was detected that 'RequestType' is in namespace 'urn:libertyaos:2003-08', but components from this namespace are not referenceable from schema document 'file:///C:/Users/mitu/Documents/GitHub/spring-security-saml/saml2-core/src/main/resources/schema/liberty-schema-paos-1.1.xsd'. If this is the incorrect namespace, perhaps the prefix of 'RequestType' needs to be changed. If this is the correct namespace, then an appropriate 'import' tag should be added to 'file:///C:/Users/mitu/Documents/GitHub/spring-security-saml/saml2-core/src/main/resources/schema/liberty-schema-paos-1.1.xsd'.
    * src-resolve.4.2: Error resolving component 'S:mustUnderstand'. It was detected that 'S:mustUnderstand' is in namespace 'http://schemas.xmlsoap.org/soap/envelope/', but components from this namespace are not referenceable from schema document 'file:///C:/Users/mitu/Documents/GitHub/spring-security-saml/saml2-core/target/classes/schema/liberty-schema-paos-1.1.xsd'. If this is the incorrect namespace, perhaps the prefix of 'S:mustUnderstand' needs to be changed. If this is the correct namespace, then an appropriate 'import' tag should be added to 'file:///C:/Users/mitu/Documents/GitHub/spring-security-saml/saml2-core/target/classes/schema/liberty-schema-paos-1.1.xsd'.

    How can I fix these errors? Once these errors are fixed, how should I compile and run the sample application?

    Also, can the spring-secuirty saml be used to build both SP and iDP? Please help.

  • #2
    Javadoc for the Spring Security SAML extension

    Is there a javadoc for this SAML extension? Please provide a link.

    Thanks

    Comment

    Working...
    X